CVE-2006-0754
CVSS5.0
发布时间 :2006-02-17 21:02:00
修订时间 :2011-03-07 21:30:45
NMCO    

[原文]** DISPUTED ** dotProject 2.0.1 and earlier allows remote attackers to obtain sensitive information via direct requests with an invalid baseDir to certain PHP scripts in the db directory, which reveal the path in an error message. NOTE: the vendor disputes this issue, saying that it could only occur if the administrator ignores the installation instructions as well as warnings generated by check.php.


[CNNVD]Dotproject多个远程文件包含漏洞(CNNVD-200602-263)

        dotproject是一个PHP+MySql编写的beta级基于web的项目管理和跟踪工具。
        dotproject实现上存在多个输入验证漏洞,远程攻击者可能利用这些漏洞在系统上执行任意命令。
        dotproject的protection.php脚本没有正确地验证siteurl参数中的用户输入,因此攻击者可以通过eval()包含远程PHP文件并执行任意PHP代码。
        此外,还有一些路径泄露漏洞。如果使用baseDir=foobar参数直接访问的话,几乎所有/db/中的文件都可能出现一些可利用的php错误。如果没有删除/doc/目录的话(默认配置),就可以访问以下两个文件泄漏系统信息:
        1) /docs/phpinfo.php - phpinfo()文件
        2) /docs/check.php - 有关所安装的dotProject的信息

- CVSS (基础分值)

CVSS分值: 5 [中等(MEDIUM)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: NONE [不会对系统完整性产生影响]
可用性影响: NONE [对系统可用性无影响]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:dotproject:dotproject:2.0
cpe:/a:dotproject:dotproject:2.0.1

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-0754
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2006-0754
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200602-263
(官方数据源) CNNVD

- 其它链接及资源

http://www.vupen.com/english/advisories/2006/0604
(UNKNOWN)  VUPEN  ADV-2006-0604
http://www.securityfocus.com/bid/16648
(UNKNOWN)  BID  16648
http://www.securityfocus.com/archive/1/archive/1/424957/100/0/threaded
(UNKNOWN)  BUGTRAQ  20060214 dotproject <= 2.0.1 remote code execution
http://www.securityfocus.com/archive/1/425285/100/0/threaded
(UNKNOWN)  BUGTRAQ  20060215 Re: dotproject <= 2.0.1 remote code execution
http://www.osvdb.org/23206
(UNKNOWN)  OSVDB  23206
http://secunia.com/advisories/18879
(VENDOR_ADVISORY)  SECUNIA  18879
http://xforce.iss.net/xforce/xfdb/24745
(UNKNOWN)  XF  dotproject-phpinfo-check-obtain-info(24745)

- 漏洞信息

Dotproject多个远程文件包含漏洞
中危 输入验证
2006-02-17 00:00:00 2006-03-02 00:00:00
远程  
        dotproject是一个PHP+MySql编写的beta级基于web的项目管理和跟踪工具。
        dotproject实现上存在多个输入验证漏洞,远程攻击者可能利用这些漏洞在系统上执行任意命令。
        dotproject的protection.php脚本没有正确地验证siteurl参数中的用户输入,因此攻击者可以通过eval()包含远程PHP文件并执行任意PHP代码。
        此外,还有一些路径泄露漏洞。如果使用baseDir=foobar参数直接访问的话,几乎所有/db/中的文件都可能出现一些可利用的php错误。如果没有删除/doc/目录的话(默认配置),就可以访问以下两个文件泄漏系统信息:
        1) /docs/phpinfo.php - phpinfo()文件
        2) /docs/check.php - 有关所安装的dotProject的信息

- 公告与补丁

        目前厂商还没有提供补丁或者升级程序,我们建议使用此软件的用户随时关注厂商的主页以获取最新版本:
        http://www.dotproject.net

- 漏洞信息

23206
dotProject /db/ Directory Multiple Script Malformed baseDir Variable Path Disclosure
Remote / Network Access Information Disclosure
Loss of Confidentiality
Exploit Public

- 漏洞描述

dotProject contains a flaw that may lead to an unauthorized information disclosure.  The issue is triggered when an attacker makes a direct request to any script in the /db/ directory, which will disclose the full installation path resulting in a loss of confidentiality. While such information is relatively low risk, it is often useful in carrying out additional, more focused attacks.

- 时间线

2006-02-14 2006-01-24
Unknow Unknow

- 解决方案

Currently, there are no known upgrades, patches, or workarounds available to correct this issue.

- 相关参考

- 漏洞作者

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站